Rated 3 out of 5 stars

Please update extension for FF4 and FF5 support!